Windows Printer Drivers

What is a Printer Driver?

A printer driver is a piece of software that converts data (usually graphics and text) to printer commands that are printer specific. The driver creates a print job. This is a data stream describing the page in the printer language of the target printer. The purpose of printer drivers is to allow applications to do printing without being aware of the technical details of each printer model.

In Windows environment, the same printer driver can be used from every application that supports standard Windows printing. The driver is a link between the application and the printer. These drivers allow you to print any data to your printer, might it be thermal printer, applicator, ink jet printer, laser inscribing marking or any other kind of identification device.

How Does a Printer Driver Work?

The printer driver "knows" the capabilities of the target printer. The application will ask the driver for the printer capabilities, such as paper sizes that are supported, or which fonts or barcode symbologies are internally supported, or whether the printer supports counter, cutter or RFID. The application can then present the printer resident functionality to the user. The user can choose to use it in order to optimize the document / label design for fast printout. If the printer resident functionality is ignored, the documents will print in the GDI mode. In this case, the document is handled in graphic-only mode where all objects are converted into the image and printed as such.

The driver will convert the document into the printer commands, understood by the associated printer, and will create a print job in Windows Spooler.

The professional printers are usually capable of taking control over much of the variable objects in your documents, such as counters, barcodes and thus improve the printing speed. For more information about optimizing your printing processes, see the topic Maximizing Printing Speed.

NOTE: In order to support advanced printing and print file handling options, SATO printer driver is a SATO-only driver. This means that this driver only works with SATO applications. Using SATO printer driver ensures optimal printing results for SATO label and solution files under all available configurations.


Command Line Import Tool

Command line import tool speeds up the process of importing/exporting and enables you to control the process without using the driver user interface. You can run the tool using the command (batch) files and automate the import/export process.

The tool ImportExportTool.exe can be found in the Tools folder of your printer driver installation.

The syntax to use the command-line utility is as follows:

ImportExportTool.exe <Printer_name> <File_name> <import|export>

All parameters are mandatory.

  • Printer_name. Specifies the name of the printer driver as is displayed in Devices and Printers. Make sure to enclose the name in double quotes, if it contains spaces.
  • File_name. Specifies the name of the file that will either store the exported settings, or will be used as source of settings to be imported.
  • Import|export. Specifies the command the utility will execute. Select Export to extract driver settings and save them to the file. Select Import to read driver settings from the file and apply them to the driver.


Printer Fonts vs. Screen Fonts

Printer fonts are stored in printer memory. They become available in the application you use for label printing after selecting this printer. Printer fonts are shown in the font drop-down list together with the screen fonts, if your label printing application chooses to display the printer fonts.

Printer fonts are identified with an icon in front of their name. This distinguishes them visually from screen fonts, such as TrueType, OpenType and Postscript.

Each printer models is shipped with built-in fonts and the selection is usually quite limited. The majority of printer fonts is fixed-sized and cannot be scaled, while the majority of screen fonts is scalable.

Using printer fonts is an efficient method of optimizing the printing performance. They are built-in, so the application only needs to provide the information about location of an object inside the label, font type, size, and content to be printed. The size of the print stream is measured in tens of bytes.

On the other hand, printing the text objects formatted as screen fonts will always take longer. The driver will convert each screen text object into a bitmap and send it to the printer. The number and sizes of bitmaps determine the printing speed. More bitmaps in larger sizes will take more time to process, place on the label and print out. The size of the print stream is measured in kilobytes. It can take a while to print a label, especially via slow connections, such as serial port.

Professional label printers support printing of internal variable objects, such as real-time clock or counters. In this case the printer itself will provide the value of the date/time or the current counter. To define such variable object, first you have to format the text into a printer font.


Printer Status Checking

This driver supports printer status checking via bidirectional printer–computer communication. It allows you to monitor the statuses reported by printers in real time.

Status messages greatly depend on brand and model of the label printer and its capabilities. Some might report simple statuses like OK and Error, while others might respond Out of ribbon, Out of labels or even predict events like Ribbon near end.

To successfully check the printer status, the following prerequisites must be met:

  • Your printer is capable of bidirectional communication.
  • You are using a bidirectional driver for your label printer.
  • You are using Advanced Port Monitor if your printer is connected to the network.
Closed Communication on parallel, serial and USB ports

For printer drivers connected to the LPT, COM or USB ports, no additional settings are required.

Closed Communication on network TCP/IP ports

When a printer driver prepares a print file for the printer, the print file is first sent to Windows Spooler. After that, Spooler sends the file to the printer. Windows Spooler uses a port monitor to complete this task.

Windows port monitors provided for printers connected to LPT, COM or USB ports work with label printers. However, Windows port monitor (Standard TCP/IP Port Monitor) does not support all features needed for network label printers. This is why you have to install the SATO port monitor named Advanced Port Monitor. You can install it during the driver installation procedure or later.

To install the Advanced Port Monitor do the following:

  1. Start the PrnInst driver installation wizard.
  2. When prompted to define the port to which your printer is connected (Select Network Port window), select the Create a new network port option.
  3. The Add Network Port window opens.
  4. Enter network port properties: name, IP address and port number (usually 9100).
  5. Click Next and finish the installation of the driver.
  6. Now, the Advanced Port Monitor is installed on your computer and can be used with any printer driver.


Maximizing Printing Speed

Printing speed greatly depends on the selected port type, port settings, and various printer options. Some of the most common issues related to printing speed are listed here.

Closed Choosing high-speed connection interface

When selecting your printer for the high-throughput printing scenarios make sure to select the connection type that will allow the high-speed communication with the computer. Communication using network sockets (TCP/IP) and USB are fast connections, parallel and serial ports are slower. Before setting up network printer, see Printer Status Checking.

Closed Using printer resident fonts

Printing TrueType fonts can be a very time consuming process (especially if you use slow connection interfaces), because a lot of data needs to be transmitted to the printer. The driver will convert each TrueType text object into a bitmap. The print stream will grow because of the embedded graphic and transfer to the printer longer time.

Label printer usually have some fonts built-in. When you use this printer driver, your label printing application will display such fonts as printer fonts and list them along the TrueType fonts. When you format the text object using resident font, the driver will send the text value as plain text and reference the resident font the printer must use. This drastically reduces the print stream size and consequently speeds up printing.

Closed Setting the printing speed to a higher value

You can adjust the speed at which the labels move under the printer head. See Print Options.

Note that the higher printing speed might influence the print quality. With a little experimenting, you should find a combination of printing speed and darkness that is suitable for you.

Closed Minimize the use of graphics on the label

Avoid using graphic objects on the label. Graphic objects might take a lot of time for transmission to the printer.

If you need to have a company logo or other graphics on the labels, consider using pre-printed labels.


Import / Export

Import/Export panel properties allow you to export the currently defined driver settings and apply them to compatible printer drivers on the same or other computers.

You can save the current settings of the printer driver to an external file and use it for backup or distribution purposes. You can import the printer settings from this external file into the printer driver on some other computer. You will get the exact copy of the printer driver settings on both computers.

The exported file will contain information about driver settings, custom stocks, and similar. All these properties are exported to the definition file with extension of DRX. The settings can be exchanged between the compatible printer models. If the definition file contains some data that is not supported on the current printer, such data will be ignored and not imported.

NOTE: You can also import and export the driver settings using the command-line utility. For more information, see Command Line Import Tool.


Stocks

The properties in the Stock panel allow you to review and manage your stock library. Stocks are predefined custom label formats that define the label dimensions and preset some of the printer properties. Once defined, stocks can be used from any application that uses this printer driver.

  • Click New to open the Stock setup dialog.
  • Edit button allows you to configure an existing stock.
  • Delete button allows you to remove a stock from the list of existing stocks.
Closed Page Setup

Media settings

  • Name. Defines the unique name of your stock by which it will be identified.
  • Width. Defines the width of your stock in the default unit of measure.
  • Width. Displays the width of your stock in the default unit of measure.
  • Height. Defines the height of your document in the default unit of measure.
  • Media type. Defines the type of material which is used for label printing, and directly controls the required sensors. Usually, you either use continuous material that you cut to the label size, or die-cut labels which require a certain mechanism to detect the next label. This is done using various sensors, such as reflective sensors which detect the gaps between labels. Another option are sensors which detect black marks on the label liner or on the label top/bottom.
Closed Details.
  • Labels with gaps. Specifies the most common type of labels. These are die-cut labels with gaps between them. The printer uses its optical sensor to detect the gaps between labels. The gaps allow the printer to precisely position the next label under the print head.
  • Continuous labels. Specifies the continuous media without any gaps or visual identification between labels. Usually, the labels are cut to the required size using the built-in cutter.
  • Labels with black marks. Specifies the continuous media that is identified using pre-printed black horizontal lines on the back side of the liner. Each black line identifies the beginning of the next label.
Closed Entering the data in the other unit of measure

To apply non-default unit of measure, make sure to enter the unit's abbreviation after the data value.

You can use the following abbreviations to enter values in unit of measure different from the default unit.

Abbreviation | Unit of measure
" inch
mm | millimeter
cm | centimeter
Closed Print Options

Print settings

You must carefully select the combination of these options. Incrementing the speed will cause the media to move through the printer faster. This may result in decreased print quality. Increasing darkness without lowering the speed might cause the print head to overheat. Find the optimal settings based on the media and the ribbon type.

  • Speed. Specifies the printing speed at which the media will move through the printer. The drop-down list displays the preset speed values that the printer supports.
  • Darkness. Specifies the contrast level at which the document will print. This directly modifies the temperature of the print head. Setting high darkness level will result in a darker label.
  • Darkness range. Specifies the preset darkness setting matched to the type of media used. See printer user guide for details.
  • Printing mode. Thermal transfer printing uses a heated ribbon to produce durable, long-lasting images on a wide variety of materials. Direct thermal printing uses no ribbon and prints directly on the surface. Thermal direct media is more sensitive to light and heat, which reduces the life of the media.
  • Paper end detection. Signals end of paper during printing. Select the type of paper folding – as a roll or as a fanfold.
  • Batch marker. Optionally visually identifies the first label in the print job.
  • None. No visual identification is used.
  • Marker. Print a black mark on the edge of the first label.
  • Separator. Cuts the first label 2 mm longer and the following labels 2 mm shorter.


Download

Download panel allows you to download additional fonts and graphics, and store them to be used as internal printer elements.

Closed Download fonts

Click Download > Font to open the Download Font dialog:

  • Selected font. Specifies the font and font style that should be downloaded to the printer.
  • Font destination. Defines location for storing the downloaded font.
  • Description. Provides basic information about the downloaded font.

When in Download Font dialog, click Download once again. The font is now stored at the defined location and ready to be used.

Closed Download graphic

Click Download > Graphic to open the Download Graphic dialog:

  • Selected graphic. Specifies the path of the graphic file that should be downloaded to the printer, and the printer memory location to be used for storing the file.
    • Path. Enter the path or click the ... button to locate the graphic file on the system.
    • Printer memory. Select the printer memory location to be used for storing the graphic file.
  • Preview field displays the selected graphic file.
Closed Clear

Clear command formats the selected printer memory location/medium. Use the drop down list to select the available memory you wish to clear. Memory clear options are:

  • DRAM
  • Internal flash
  • Flash card (PCM CIA)
  • Compact flash

NOTE: This command deletes all items in the selected memory including items downloaded with other programs.

Closed Delete

Delete command removes the selected item (font or graphic) from the printer memory.

Closed Test

Test command prints a test label using current printer driver settings.


Fonts

The properties in the Fonts panel allow you to define and manage virtual fonts. You can add new entries, and edit or delete existing.

Virtual fonts will be available in the application that uses this printer driver. These fonts will be listed among the other fonts installed in this Windows system, if your label printing application chooses to display printer fonts. The text value formatted as a virtual font will be printed as a barcode symbol even if the application doesn't support barcodes.

Command font allows you to inject your custom printer commands inside the created print stream.

You can configure font substitution, where screen fonts used for the label design get replaced with printer resident fonts.

For more information, see topics:

  • Barcode Fonts
  • Command Fonts
  • Font Substitution


Barcode Fonts

The Barcode Fonts panel allows you to manage the virtual fonts available with this printer driver. You can create unlimited number of barcode fonts. Each barcode font is identified by its unique name. You can define numerous parameters for each barcode font, with the most important being the type of the barcode it will print.

You might experience problems using barcode fonts in your application. It might not be compatible with the barcode fonts. In this case consider using the professional label printing software.

Closed More about barcode fonts

Most thermal printers have internal support for different barcode symbologies. These symbologies can be easily accessed using the label design software. Other Windows applications are unable to use the internal barcodes, because they communicate with printer in GDI mode and don't know how to print barcodes. Barcode fonts are virtual fonts, and are not really installed in the Windows. They are visible just to the application that is using this printer driver. Barcode font will be listed with other Windows fonts in your label application, it it chooses to display printer fonts.

The data that you enter and format in this font will print as the barcode symbol. Note however, that the data will display as text on-screen. The driver will not validate the provided barcode data. In case of erroneous data, the barcode will not print, or the printer will report an error during printing.

Closed Font settings
  • Barcode. Specifies the type of the barcode symbol. The text that you format in this barcode font will print as the selected barcode symbology. You must follow the barcode specification when providing the barcode content. For example, some barcodes accept fixed number of characters and some barcodes only encode digits.
  • Name. Specifies the name of the virtual font that will become available in the application where you select this printer driver. This font will be listed with the TrueType and other fonts you have installed on your computer.
  • Description. Provided for a brief explanation about the intended functionality of this command font. Using the barcode fonts is advanced functionality and requires good documentation.
  • Merge contents.

Merge content. The options in this section allow merging of the data in the same line or in the whole page into one content. If you want to encode data from several objects into one object, you must merge it into one stream.

This option is usually switched on for the 2D codes or RFID tags, where you need the whole content provided as one data. Windows applications typically break the content of one label into several objects and print them separately. If you have the data for 2D code so long that it is provided in the several lines, you have to merge all lines together and feed combined data into 2D code.

  • No merge. No data merge will occur.
  • All text on the same line. The content from the whole line that is formatted in this barcode font will be encoded in the barcode symbol.
  • All text on the page. The content from the whole label that is formatted in this barcode font will be encoded in to the barcode symbol.
Closed Barcode settings

The options in the section allow control over the advanced options for your barcode symbol. The available options depend on the barcode type that you selected.

  • Rotation. Specifies the angle at which the barcode symbol will print. It can be rotated in 90° steps.
  • Narrow bar width. Specifies the basic element of the bar code, the width of the narrowest bar in the symbol, also known as "X dimension". The symbols contains bars of different widths, but all of them are multiplier of the narrowest width. This value directly determines the barcode density and size.

  • Height. Specifies the height of the barcode symbol.

    If you design a label that contains barcode fonts, the actual height of printed barcodes comes as a result of a calculation based on the barcode font size. The symbol's height expands and shrinks in correlation with barcode font size. The calculation is necessary because certain barcodes require corrections to achieve the correct height when printed.

    This is how the printer driver calculates height for various barcode font types in steps:

    • UPCA:

      • Expansion 1: printed height = barcode font height - 5 dots
      • Expansion 2: printed height = barcode font height - 12 dots
      • Expansion 3: printed height = barcode font height - 10 dots
      • Expansion 4: printed height = barcode font height - 9 dots
      • All other extensions: printed height = barcode font height - 12 dots
    • UPCE (printer driver generates human readable text automatically):
      • Printed height = height - 4 * expansion
    • EAN8:
      • Expansions 1–4: printed height = height - 3 * expansion
      • Expansions 5–6: printed height = height - 2 * expansion
    • EAN13:
      • Expansion 1: printed height = height - 3 dots
      • Expansion 2: printed height = height - 6 dots
      • Expansion 3: printed height = height - 6 dots
      • Expansion 4: printed height = height - 8 dots
      • Expansion 5: printed height = height - 10 dots
  • Human readable. Specifies, if the human readable representation of the encoded data is displayed below or above the symbol, or not at all.
  • Pass through mode. Disables encoding of the content which is sent to the printer. This means that the characters that were entered in a Windows application are passed directly to the printer.

NOTE: Character encoding is sometimes necessary to ensure correct character printing. Pass through mode is applicable if Code128, Code128-A, Code128-B, Code128-C or GS1-128 barcode type is selected.

  • Ratio. Specifies the ratio between narrow to wide bars in the barcode symbol. Not all symbologies support adjusting the ratio. For example, ratio of 2:5 specifies that the narrow bar is 2 units wide, while the wide bar is 5 units wide.
  • Auto-generate check digit. Specifies , if the check digit is added to the provided barcode content. It is considered a good practice to always append check digit at the end of the barcode. Its purpose is to enable error checking mechanism. Some barcodes always print with a check digit. When a scanner reads a barcode which includes the check digit , it will compute the check digit on its own and compare it with the read check digit. If they are the same, it ensures the content was read without errors.
Closed Symbology specific options
Closed EAN/UPC/JAN codes
  • Guard bars. The bars at the beginning, middle and end of the barcode symbol extend below the main body of the barcode. A compliant EAN/UPC/JAN requires guard bars.
Closed QR and Micro QR
  • Mask. The mask pattern is used to break up patterns in the data area that might confuse a scanner.
  • Error correction level. Specifies the amount of "backup" data dependent on the amount of damage the code is expected to suffer. The higher the correction level, the less storage capacity, but the code is able to sustain more damage, when part of the image is obscured, defaced or removed.
  • Model. Specifies the version of QR Code. Model 2 is improved version.
Closed Datamatrix and GS1 Datamatrix
  • Module width and height. Datamatrix consists of black and white data cells or modules arranged in square or rectangular pattern. This parameter defines the size of the modules.
  • Symbol size. Defines the size of the code symbol. As more data is encoded into the symbol, the number of cells (rows and columns) increases.
Closed PDF417
  • Module width and height. PDF417 is structured from 17 modules of 4 bars and spaces that make up each code. This parameter defines the size of the modules.
  • Security level. Specifies the amount of "backup" data dependent on the amount of damage the code is expected to suffer. The higher the correction level, the less storage capacity, but the code is able to sustain more damage, when part of the image is obscured, defaced or removed.
  • Rows and columns for the aspect ratio. PDF417 has the ability to change its rectangular shape according to a parameter passed to encoder. This rectangular shape is referred to as an "aspect ratio" by the symbology specifications. In most cases changing this aspect ratio does not affect the readability.
Closed Customer barcode

The Customer barcode is the Japan Post 4 state barcode symbology used by the Japan Post service to encode the delivery point identifier on letter mail. The barcode data consists of two fields:

  • Postal code. 7 digits.
  • Print data. Up to 13 characters. The supported characters are capital letters (A-Z), digits (0-9) and hypen (-).

When providing the data, separate the field values with pipe character (|). The order of fields is important. For details, see instructions lower in this topic.

Closed Composite barcode

The Composite selection allows you to print GS1 Composite barcodes. Each symbol consist of a linear component and a multi-row 2D Composite Component (CC). The 2D Composite Component is printed above the linear component.

  • Linear component. The maximum length depends on the selected barcode type. GS1-128 symbol accepts up to 48 digits, EAN/UPC symbol 8, 12 or 13 digits, GS1 DataBar Expanded up to 74 digits, other GS1 DataBar symbols up to 16 digits.
  • 2D Composite Component. The maximum length depends on the selected Composite Component (CC). CC-A accepts up to 56 digits, CC-B up to 338 digits and CC-C up do 2,361 digits. CC-A is a variant of MicroPDF417, CC-B is a MicroPDF417 symbol with new encoding rules, CC-C is a PDF417 symbol with new encoding rules and can only be used with GS1-128.

When providing the data, separate the field values with pipe character (|). The order of fields is important. For details, see instructions lower in this topic.

Closed Secure QR Code (SQRC)

SQRC is a type of QR Code equipped with reading restricting function that allows users to encode both public and private data where security and confidentiality is an absolute requirement. Appearance of SQRC is no different from the regular QR code. The Secure QR Code consists of the three fields:

  • Password (cipher key). 16 characters (HEX).
  • Private data (cipher part). Up to 486 characters.
  • Public data (non-cipher part). Up to 486 characters.

When scanned with any scanner the SQRC behaves just like any other QR Code, providing the public data. The private data is protected by a password (cipher key), which must be hard coded into the scanning device and must match the key that was used to encode the data.

When providing the data, separate the field values with pipe character (|). The order of fields is important. For details, see instructions lower in this topic.

Closed Maxicode

Maxicode is suitable for tracking and managing the shipment of packages. It was originally created and used by United Parcel Service (UPS). Maxicode can store about 93 characters of information.

Maxicode symbols using modes 2 and 3 include a Structured Carrier Message containing key information about a package. These fields include:

  • SHIP TO Postal Code
  • SHIP TO ISO Country Code
  • Class Of Service
  • Tracking Number
  • UPS Account Number
  • Julian Day of Pickup
  • Shipment ID Number
  • Package In Shipment
  • Package Weight
  • Address Validation (Y or N)
  • SHIP TO Address
  • SHIP TO City
  • SHIP TO State

NOTE: Mode 2 (Formatted data containing a structured Carrier Message with a numeric postal code) is primarily used in US domestic destinations. Mode 3 (Formatted data containing a structured Carrier Message with a alphanumeric postal code) is primarily used in international destinations.

When providing the data, separate the field values with pipe character (|). The order of fields is important. For details, see instructions lower in this topic.

Closed Entering data for the multi-component barcodes

Some types of the barcodes contain a composite structured data. The barcode contents is composed out of many components. You have to provide the data for all component in one field all merged together. The general syntax of the entered data must be as follows:

<field 1>|<field 2>|...|<field n>

You must delimit the fields with the pipe (|) character. Make sure to use the required number of fields for your barcode, as its specification prescribes. Also, the order in which you provide the data is important.

NOTE: For example, the postal barcode can contain a field with postal code and another field with the routing information, as "3310043|1-207".

Closed Entering the data in the other unit of measure

To apply non-default unit of measure, make sure to enter the unit's abbreviation after the data value.

You can use the following abbreviations to enter values in unit of measure different from the default unit.

Abbreviation | Unit of measure
" inch
mm | millimeter
cm | centimeter


Command Fonts

NOTE: The use of this feature is advised only to users with extensive knowledge of printer's native command language.

Command fonts are virtual fonts available in the application that is using this printer driver. They are available to improve the control over a printer and add possibility to fine-tune the printing process. With the command font you can modify the print stream that the driver will create, and inject your custom printer commands inside it. Command fonts can also be useful utility in cases when you want to include a printer command or parameter that is not yet available in the driver user interface.

Closed Understanding command fonts

The command font structure:

[prefix] + value + [suffix]

The text for the value above must be provided from your application and will print on the label. The content for prefix and suffix is defined in the command font and is interpreted as printer commands. This content of all these fields will be integrated in the created print stream. The value of value is encoded as-is, while the value for prefix and suffix can be analyzed for acronyms of control codes and replaced with the actual codes.

You can also fine-tune the position of your custom commands within the created print stream.

You must be familiar with the programming language of your printer, before you attempt to modify the print stream. The data formatted in the command font will be included in the print stream as-is and will not be tested for validity, so make sure it contains the valid printer commands. If the printer receives the commands it cannot handle or they contain wrong syntax, the commands might just be ignored, or they might cause the printer to behave irrationally.

Make sure to thoroughly test the modified print stream, before you deploy it in the production environment.

Closed Command font
  • Name. Specifies the name of the virtual font that will become available in the application where you select this printer driver. This font will be listed with the TrueType and other fonts you have installed on your computer.
  • Description. Provided for a brief explanation about the intended functionality of this command font. Using the command fonts is advanced functionality and requires good documentation.
Closed Prefix and suffix

Type. Defines the data source for the printer commands. These commands will be placed either before the text formatted with this command font (prefix) or after the text (suffix).

  • No prefix. You will not use the prefix of suffix for the command font. Note, for each command font you must define either prefix or suffix, or both.
  • File. Specifies that the content for the prefix or suffix is defined in the external file. Type in the filename, or click the arrow button to browse for it. The file content will be used as-is without any conversion. The file is read each time the print stream is generated. Make sure the file contains pure printer commands, including all necessary control codes, such as "escape" (ASCII code 27), which must be encoded as hex character 0x1B.
  • Parsed file. Specifies that the content for the prefix or suffix is defined in the external file. Type in the filename, or click the arrow button to browse for it. The file content will be scanned for the driver-internal control codes and formatting, which will be replaced with the appropriate binary characters at print time. The file is read each time the print stream is generated. The file can contain the special characters formatted in a user-friendly way. See Entering control codes.
  • Text. Specifies that the content for the prefix or suffix is defined in the input text area. You can just type in the printer commands. If you need to insert some control code, click the arrow button next to the input text area and select it from the drop down list. Note, some control codes do not have a visual representation and will show as space.
  • Parsed text. Specifies that the content for the prefix or suffix is defined in the input text area. You can just type in the printer commands. The file content will be scanned for the driver-internal control codes and formatting, which will be replaced with the appropriate binary characters at print time. The content can contain the special characters formatted in a user-friendly way. See Entering control codes.

Content. Specifies the content for the prefix or suffix. Dependent on the type selection, here you might see the referenced file (containing printer commands), the printer commands & control codes themselves displayed as binary content, or printer commands & control codes displayed in readable form (code acronym between less-than "<" and more-than ">" characters).

Closed Entering control codes

The character's acronym is encoded between characters less-than "<" and more-than ">". For example, you would encode control code "escape" as <ESC>. You can enter the control codes using your keyboard, or you can click the arrow button next to the input text area and select it from the drop down list.

If you have to encode the actual characters that are used as control code acronym, just enclose them with another pair of less-than "<" and greater-than ">" characters. For example, to use the characters <ESC> as such in the print stream, encode them as <<ESC>>.

Closed List of internal parameters

The internal parameters are driver fields exposed for usage in the command fonts. When building the list of printer commands for prefix or suffix you must reference the internal parameters by its name. At print time, the parameter reference will be replaced with its actual value.

Parameter name | Description
<X> | x coordinate of the current text object formatted in the command font. The value is transformed in the format as expected by the printer (unit of measure and the field length).
<Y> | y coordinate of the current text object formatted in the command font. The value is transformed in the format as expected by the printer (unit of measure and the field length).
Closed List of control codes

The control codes are special characters, usually with ASCII codes below 32. They are 2 or 3-letter acronyms.

Decimal ASCII Code | Acronym | Description
00 | NUL | null
01 | SOH | start of heading
02 | STX | start of text
03 | ETX | end of text
04 | EOT | end of transmission
05 | ENQ | enquiry
06 | ACK | acknowledge
07 | BEL | bell
08 | BS | backspace
09 | HT | horizontal tab
10 | LF | new line (or LF, line feed)
11 | VT | vertical tab
12 | FF | new page (or FF, form feed)
13 | CR | carriage return
14 | SO | shift out
15 | SI | shift in
16 | DLE | data link escape
17 | DC1 | device control 1
18 | DC2 | device control 2
19 | DC3 | device control 3
20 | DC4 | device control 4
21 | NAK | negative acknowledge
22 | SYN | synchronous idle
23 | ETB | end of transmission block
24 | CAN | cancel
25 | EM | end of medium
26 | SUB | substitute
27 | ESC | escape
28 | FS | file separator
29 | GS | group separator
30 | RS | record separator
31 | US | unit separator
Closed Options

Position. You can control the location in the print stream where you custom commands provided via the command font will be inserted into. In most cases you will use element position and insert the commands inside the print stream, where the object formatted in this command font will be encoded. If you want to send the printer-setup commands, you might want to include them elsewhere, such as the beginning of the page. For details please consult the user & programming guide of your printer.

NOTE: No matter which position type you select, the custom commands will be sent for each label that prints.

  • Before page. Specifies that the commands will be inserted in front of the "page-begin" section in the print job.
  • Before elements. Specifies that the commands will be inserted after the "page-begin" section but before any label object.
  • Element position. Specifies that the commands will be inserted with the text object that defines them. The commands are included within the print stream that defines the label.
  • After elements. Specifies that the commands will be inserted after all object on the label, but before the "page-end" section in the print job.
  • After page. Specifies that the commands will be inserted after the "page-end" section the print job.

The content of the "page-begin" and "page-end" section is created by the driver itself and you cannot influence it.

Merge content. The options in this section allow merging of the data in the same line or in the whole page into one content. If you want to encode data from several objects into one object, you must merge it into one stream.

This option is usually switched on for the 2D codes or RFID tags, where you need the whole content provided as one data. Windows applications typically break the content of one label into several objects and print them separately. If you have the data for 2D code so long that it is provided in the several lines, you have to merge all lines together and feed combined data into 2D code.

  • No merge. No data merge will occur.
  • All text on the same line. The content from the whole line that is formatted in this barcode font will be encoded in the barcode symbol.
  • All text on the page. The content from the whole label that is formatted in this barcode font will be encoded in to the barcode symbol.


Font Substitution

Screen fonts (such as TrueType, OpenType and Postscript fonts) are sent to the printer as graphics unless you have previously downloaded them to the printer. Printing in graphical mode is much slower than printing using resident printer fonts. Some applications won't even show the printer resident fonts in the list of available fonts, they will show screen fonts only. This prevents you from creating an optimized label template.

The driver can be configured to automatically substitute a given screen font with the selected printer resident font.

This dialog allows you to substitute the screen fonts with the printer resident fonts and benefit from the following:

  • Increasing the printing speed. The fonts are not printed as graphic objects, but internal printer text objects.
  • No need for any design changes on the existing labels. You can re-use all of your existing labels that are designed to use screen fonts. The font substitution is configured independently form the label design.
  • Printing the same template to different printers. You can print a single generic label optimally to several printers, as long as you configure font substitution in each driver.
Closed Font substitution dialog
  • System fonts. Select a screen font that you want to substitute with the printer resident font. The font will be used for on-screen representation during the label design. One system font can be mapped to one printer font.
  • Printer fonts. Select a printer resident font that will substitute the screen font. It's a good practice to select the scalable printer font. It will closely accommodate the actual size of the screen font. If you select the bitmap printer font, the driver will select the closest point size that and in some cases that will differ from the desired point size.

NOTE: Make sure to select the font pairs that look alike. The better the font resemblance, the better the WYSIWYG effect.


Driver Settings

The properties of the Driver Settings panel allow you to change advanced printer settings.

Closed Override application default settings
  • Always use driver settings. Discards all printer settings provided from the printing application and applies the settings as defined in the printer driver. Enable this option if you don't allow the printing users to modify any printer-related setting in their printing application.
Closed Compatible font names
  • Backward compatibility font names. Enable this option to make sure the correct font is used when opening labels that were designed for previous versions of drivers. Previously available font names which are now obsolete become available again. This makes "old" labels ready to be reused with the latest driver version.

Example

Font names such as Arial, Arial Bold, Arial Italic and Arial Bold Italic are now merged to Arial. Bold, Italic and other font variations are not part of the font name anymore.

It is recommendable to redesign the label files with new font names.


Configure Printer

The properties in the Configure Printer panel allow you to define the default printer settings. You can get defaults from the printer, modify them and send them back to the printer. Before using these options, make sure the printer is connected and switched on.

  • Get from printer. This option communicates with the printer and reads the default settings from it.
  • Send to printer. This option communicates with the printer and stores all the settings defined on this panel into the printer memory. All defined settings will be saved as default settings in the printer.
Closed Media settings

The values for parameters in this section are entered in the default unit of measure, as selected in the International panel. You can enter the value in other unit of measure and it will be converted into default unit. In this case, just make sure the value is followed with the abbreviation of the alternative unit. The dimension you edit is clearly marked in the preview.

  • Label width. Defines the width of your label in the default unit of measure.
  • Label height. Defines the height of your label in the default unit of measure.
  • Media type. Defines the type of material which is used for label printing, and directly controls the required sensors. Usually, you either use continuous material that you cut to the label size, or die-cut labels which require a certain mechanism to detect the next label. This is done using various sensors, such as reflective sensors which detect the gaps between labels. Another option are sensors which detect black marks on the label liner or on the label top/bottom.
Closed Details.
  • Labels with gaps. Specifies the most common type of labels. These are die-cut labels with gaps between them. The printer uses its optical sensor to detect the gaps between labels. The gaps allow the printer to precisely position the next label under the print head.
  • Continuous labels. Specifies the continuous media without any gaps or visual identification between labels. Usually, the labels are cut to the required size using the built-in cutter.
  • Labels with black marks. Specifies the continuous media that is identified using pre-printed black horizontal lines on the back side of the liner. Each black line identifies the beginning of the next label.
  • Gap size. The distance between one label and the other, when you have die-cut labels with gaps.
Closed Print options
  • Top offset. Specifies vertical offset. Use this option to fine-tune the vertical label position.
  • Left offset. Specifies horizontal offset. Use this option to fine-tune the horizontal label position.

NOTE: Depending on the printer, negative offset values are also allowed (negative values follow the print direction).

You must carefully select the combination of these options. Incrementing the speed will cause the media to move through the printer faster. This may result in decreased print quality. Increasing darkness without lowering the speed might cause the print head to overheat. Find the optimal settings based on the media and the ribbon type.

  • Speed. Specifies the printing speed at which the media will move through the printer. The drop-down list displays the preset speed values that the printer supports.
  • Darkness. Specifies the contrast level at which the document will print. This directly modifies the temperature of the print head. Setting high darkness level will result in a darker label.
  • Darkness range. Specifies the preset darkness setting matched to the type of media used. See printer user guide for details.
  • Printing mode. Thermal transfer printing uses a heated ribbon to produce durable, long-lasting images on a wide variety of materials. Direct thermal printing uses no ribbon and prints directly on the surface. Thermal direct media is more sensitive to light and heat, which reduces the life of the media.
  • Paper end detection. Signals end of paper during printing. Select the type of paper folding – as a roll or as a fanfold.
  • Batch marker. Optionally visually identifies the first label in the print job.
  • None. No visual identification is used.
  • Marker. Print a black mark on the edge of the first label.
  • Separator. Cuts the first label 2 mm longer and the following labels 2 mm shorter.
  • Print operation mode. Selects the preferred label printing mode.
  • Continuous. After printing a label, the media stops at the point which positions the next label right under the print head. This makes the media ready for immediate executing of the next print job.
  • Tear off. This mode allows you to tear off each label after being printed. The printer stops the media at a location that makes tearing off the printed label easy.
  • Cutter. This mode allows you to cut the labels after they are printed. You can cut the media after each label or after each print job.
  • Dispenser. This mode allows the backing material to be peeled away from the label after being printed. After a label is removed, another one can be printed.
  • Linerless. This mode allows you to use the labels without any liner (backing material) and without a die-cut. Usually, a continuous length of media that is cut to size on the printer is used in such case.
  • Cutter-cut when printing. This mode allows you to cut the labels during an ongoing print job.
  • Tear off offset. Defines the offset distance when positioning the media to the tear-off position.
  • Tear off delay. Defines the time delay after the printing is complete and before the media is positioned to the tear-off position.
  • Dispense mode. Prints a single label after receiving the data and waits for peeling. After peeling a label, the next label is printed.
    • Before printing. Peeling off a label starts the printing of the next label.
    • After printing. Peeling off a label finishes the printing job.
    • No backfeed. Backfeed operation as soon as the dispensed label has been printed and taken from the printer is disabled.
  • Dispense offset. Defines the offset distance for paper stopping position in dispense mode.
  • Linerless mode. Linerless mode is used for printing on a continuous label roll (linerless label without perforation).
    • Before printing. Label cut starts the printing of the next label.
  • Pitch offset. Distance from the leading edge (the edge that comes out of the printer first) of a label and the leading edge of the next label.
Closed Cutter settings
  • Cutter mode. Specifies when to use the cutter. Make sure your printer is equipped with the cutter before enabling this option.

    • Before printing. Cutting off a label starts the printing of the next label.

    • No backfeed. Backfeed operation is disabled as soon as the label has been printed and cut off from the printer.
    • After printing. Cutting off a label finishes the printing job.
  • Cut offset. Defines the offset distance from the specified label cut position.
  • Delay before eject. Defines the time delay before a label is cut off.
Closed Character printout settings
  • Character spacing. Specifies the type of characters that you want to use with fonts. Letters and characters in the fixed-width font occupy the same amount of horizontal space. Characters in the proportional font differ in size from one another. For example, the widths of letters 'm' and 'i' will be different with proportional font.
  • Kanji code. Specifies the type of the kanji Japanese Industrial Standard (JIS) character encoding. Kanji are logographic characters that are used in the modern Japanese writing system.
  • Slashed zero. Specifies the usage of the number '0' (zero) with a slash '/' through it. The slashed zero character is often used to distinguish the digit zero '0' from the letter 'O' anywhere that distinction needs emphasis. This setting has effect when using resident printer fonts.
Closed Hardware settings
  • LCD Power saving. Specifies the timeout in minutes in which the LCD will power off to reduce the power consumption. To keep the LCD backlight constantly on, set the number of minutes to 00. Only the LCD backlight goes off, the message displayed on the LCD remains.
  • Buzzer when error occurs. Enables the audio signal in the printer on error states. This helps alert the operator about the printer problem.
  • Feed label after power up. Specifies that the label is fed to the gap every time the printer is switched on. This makes the printer calibrate itself and be ready for the print job.


RFID Settings

RFID Settings panel allow you to manage the RFID tag and its settings. It also helps you deal with possible errors while writing and/or reading the RFID data.

  • Clear counter. Resets the internal printer counter.
  • Get settings. Allows you to download the current printer RFID settings.
  • Send settings. Allows you to upload RFID settings to another compatible printer.
Closed PJM Stack Tag (PJM Integrated)

This group of settings lets you determine the PJM (Phase Jitter Modulation) RFID tag properties.

  • RFID module. Enable or disable the RFID module on a label.
  • When error occurs. Enable or disable label printing in case of an error.
  • Maximum retry. Set the maximum number of printing retries in case of an error.
  • Module retry. Set the maximum number of writing the data to the RFID module in case of an error.
  • RFID tag offset. Set the distance between the label edge and the RFID module.


Maintenance

The properties of Maintenance panel allow you to export and import the following two groups of printer driver settings:

  • Current user settings. These are the custom settings of the currently logged user.
  • Printing defaults. These settings allow you to define the default settings of a printer driver. Printing defaults enable you to apply equal printer settings to all printing users – users on this computer and users that use the shared printer from their workstations.
Closed Current user

This group allows you to import and export custom printer driver settings of the currently logged user. You can transfer and apply these settings to compatible drivers on multiple computers when logged under the same user name.

Import. Allows you to import and apply custom printer settings for the current user. Only parameters that are supported by this printer will be used after importing the settings from another printer.

Details about import action are available here.

Export. Allows you to save the current driver settings to an external file. Use it as a backup or to distribute these settings to drivers installed on multiple other computers.

The exported file contains information about:

  • driver settings
  • custom stocks
  • bar code and command fonts
  • downloaded objects

All of these properties are exported to a definition file with .DRX extension. The settings can be exchanged between compatible printer models.

NOTE: If the definition file contains non-supported data, certain parameters are not imported.

Import and export can also be done using the command-line utility. For more information, see Command Line Import Tool.

NOTE: You can apply these settings only when logged under the same user name.

Closed Printing defaults

This group enable you to import and export the default printer driver settings.

To open the Printing defaults window, open Print Management, select the printer, and go to Advanced tab > Printing Defaults ...

Import allows you to import and apply the printing defaults for a printer driver. New users and users that have not yet changed any driver settings print their labels using the printing defaults. Be aware that only parameters that are supported by this printer will be used after importing the printing defaults.

Details about import action are available here.

Export saves printing defaults of a printer driver to an external file.

NOTE: Administrator privileges are required to change and import the printing defaults.

Closed Stream logging

NOTE: This is an advanced property that affects the printing process and should only be used for troubleshooting the printer driver. Don't enable it unless instructed so by the technical support.

This property allows you to keep a track of all data exchange between driver and printer.

When enabled, the driver will log all outbound and inbound communication with the printer. The driver will store print streams (label information) separately from the bidirectional communication (control messages). Every label and every message will be saved in a unique file.

  • Enable. Tick this option to enable logging of all communication between driver and printer. Make sure to disable logging, when you are done with troubleshooting. On busy systems, logging can increase processor and disk load.

NOTE: You can enable stream logging if the driver has enabled the bidirectional support. See Driver properties > Ports tab > Enable bidirectional support option.

  • Output directory. Specifies the folder for storing the exchange data. You can configure a single log folder for all printer drivers – each one of them will create a unique sub-folder named after the driver.

    NOTE: The output directory for the stream logging is set after you close the dialog box. If you have just changed the path and want to export the current driver setting, make sure you close the dialog box first in order to apply the settings.


International

Properties in the International panel allow you to define the language in the driver user interface.

Driver user interface is available in all major languages. When you make a selection, the changes will be applied when you open the driver properties the next time.

Open system regional settings opens the Windows regional settings dialog. The dialog determines how your date/time, numeric, and currency data types appear when you apply formatting options.


Page Setup

NOTE: The options on this panel are printer-dependent.

The properties in Page Setup panel allow you to select the stock and define media settings, such as width, height and rotation. After selecting a stock, Media settings (Page Setup panel) and Print settings (Print Options panel) controls become unavailable because the stock defines them.

Closed Printer settings

Select the appropriate stock for label printing and define the number of printed copies.

  • Stock. Selects a predefined or a custom stock from the drop-down list.
  • Custom stock has ID 257. Ensures compatibility with apps that require stock IDs with values above 256.
  • Copies. Defines the number of printed label copies.
Closed Media settings

The values for parameters in this section are entered in the default unit of measure, as selected in the International panel. You can enter the value in other unit of measure and it will be converted into default unit. In this case, just make sure the value is followed with the abbreviation of the alternative unit. The dimension you edit is clearly marked in the preview.

  • Label width. Defines the width of your label in the default unit of measure.
  • Label height. Defines the height of your label in the default unit of measure.
  • Media type. Defines the type of material which is used for label printing, and directly controls the required sensors. Usually, you either use continuous material that you cut to the label size, or die-cut labels which require a certain mechanism to detect the next label. This is done using various sensors, such as reflective sensors which detect the gaps between labels. Another option are sensors which detect black marks on the label liner or on the label top/bottom.
Closed Details.
  • Labels with gaps. Specifies the most common type of labels. These are die-cut labels with gaps between them. The printer uses its optical sensor to detect the gaps between labels. The gaps allow the printer to precisely position the next label under the print head.
  • Continuous labels. Specifies the continuous media without any gaps or visual identification between labels. Usually, the labels are cut to the required size using the built-in cutter.
  • Labels with black marks. Specifies the continuous media that is identified using pre-printed black horizontal lines on the back side of the liner. Each black line identifies the beginning of the next label.
  • Media form. Specifies the label feed method. The labels can be available in the roll on fan-folded.
  • Rotation. Specifies the direction in which a label is printed. The preview will show how the setting affects the printing.
  • Mirror label. Mirrors the label in X or Y direction. This option is not available with all printer models.


Print Options

NOTE: The options on this panel are printer-dependent. You will see the options that your printer supports.

Print Options panel allows you to define the speed and darkness of printing. Depending on the printer, you can adjust the top and left printing offset, and define advanced printing settings.

Closed Print settings
  • Speed. Specifies the printing speed at which the media moves through the printer. Drop-down list displays the preset speed values supported by the printer.
  • Darkness. Specifies the contrast level at which the document will print. This directly modifies the temperature of the print head. Setting a high darkness level results in a darker label.
  • Darkness range. Specifies the preset darkness setting matched to the type of media used. For details see the printer user guide.
  • Printing mode. Selects the type of thermal printing.
    • Thermal transfer. Printing process in which the material is applied to printing surface by melting the coating of ribbon.
    • Direct thermal. Printing process in which parts of printing surface darken in response to heat.
Closed Offset

Modifies the position of the label content relative to the label media. Use it for fine-tuning the content. The offsets are expressed in the default unit of measure.

  • Top. Specifies the positive or negative offset for the vertical adjustment.
  • Left. Specifies the positive or negative offset for the horizontal adjustment.
Closed Entering the data in the other unit of measure

To apply non-default unit of measure, make sure to enter the unit's abbreviation after the data value.

You can use the following abbreviations to enter values in unit of measure different from the default unit.

Abbreviation | Unit of measure
" inch
mm | millimeter
cm | centimeter
Closed Advanced settings
  • Set fixed document length for continuous label. Specifies that the printer will print the label and then stop with feeding after the entire label has been printed. For die-cut labels, the printer is configured in a way that one of the sensors detects the next label and stops the feeding. With continuous material, the print stream must provide the exact length after which the feeding stops. The label length is defined by the label stock or manually in the media settings.
  • Non-standard protocol output. This option serves as a data stream adaptation method. Alternative control characters are used if non-printable ASCII characters cannot be sent from the host.
  • Prepare 7-bit print stream. Creates a print stream which describes the document using characters from 7-bit ASCII table. Any "binary" content, such as image embedded in the document will be encoded with lower 127 characters from the ASCII table, excluding the control characters below ASCII code 32. Such option is often required by stand-alone printing systems not supporting 8-bit data.

  • Cancel all current and queued printing documents. Clears all jobs from the printer buffer. This ensures that this job will print immediately.

    WARNING: This command is irreversible. Use it with caution.

  • Static elements only on first page (Overlay function). With this option enabled, all fixed elements are only sent for the first page in a print job. For every next page, only variable label elements are sent. Fixed elements which are stored with the first page are recalled from the printer memory.
  • Use legacy RFID locking command. Enable this option to lock the RFID tag using the legacy "lck" command. If disabled, the "lc2" command is going to be used instead.


Print Mode

NOTE: The options on this panel are printer-dependent. You will see the options that your printer supports.

The properties in the Print Mode panel allow you to adjust the optional printer hardware add-ons.

Some options might display check boxes next to them. With the check box you can control whether that particular command will be controlled from the driver, or should it be applied as defined in by the printer defaults.

Closed Backfeed
Closed Operation mode
  • Continuous. After printing a label, the media stops at the point which positions the next label right under the print head. This makes the media ready for immediate executing of the next print job.
  • Tear off. This mode allows you to tear off each label after being printed. The printer stops the media at a location that makes tearing off the printed label easy.
  • Cutter. This mode allows you to cut the labels after they are printed. You can cut the media after each label or after each print job.
  • Dispenser. This mode allows the backing material to be peeled away from the label after being printed. After a label is removed, another one can be printed.
  • Linerless. This mode allows you to use the labels without any liner (backing material) and without a die-cut. Usually, a continuous length of media that is cut to size on the printer is used in such case.
  • Cutter-cut when printing. This mode allows you to cut the labels during an ongoing print job.
Closed Backfeed mode

In some operation modes, such as cutter and dispenser the label must move a bit out of the printer to be torn off or taken. Before the next label will print, the label must backfeed into the printer and position itself under the print head. These options control the backfeed operation.

  • No backfeed. Specifies that there will be no backfeed operation.
  • Before next document. The backfeed will occur before the next print job will print. For example, this is useful for the dispenser mode.
  • After document is printed. The backfeed will occur as soon as the print job has printed. For example, this is useful for cutter mode, when you want to backfeed immediately after cut and have the printer ready for the next print job
Closed Backfeed offset

Specifies the placement adjustment so the labels can be torn at the inter-label gap (tear off mode), properly positioned (dispenser mode) and cut correctly (cutter mode). The value is entered in the default unit of measure. You can also specify negative values.

Closed Pitch offset

Label pitch is the distance from the leading edge (the edge that comes out of the printer first) of a label and the leading edge of the next label. The leading edge position of the label can be adjusted relative to the print head +/- 49 mm in increments of 1 mm. A positive selection moves the leading edge of the label forward (away from the print mechanism) while a negative selection moves the leading edge of the label back into the mechanism.

Closed Entering the data in the other unit of measure

To apply non-default unit of measure, make sure to enter the unit's abbreviation after the data value.

You can use the following abbreviations to enter values in unit of measure different from the default unit.

Abbreviation | Unit of measure
" inch
mm | millimeter
cm | centimeter
Closed Cutter

Type defines the unit to which the cutter actions apply.

  • Off. Cutter actions are disabled.
  • Batch. Printed labels are cut off after the printing of a batch is complete.
  • Every label. Printed labels are cut off after a specified number of individual labels.

Cut every specifies for the cutter action to activate repeatedly after the given number of labels.


Barcode Verifier

Certain SATO printer models are equipped with a barcode verifier that scans the barcodes immediately after printing and checks the accuracy of printed 1D and 2D barcode symbologies.

Properties in the Barcode Verifier panel allow you to configure the scanning and verification process.

Closed Settings

Settings group configures how the barcodes are going to be verified.

  • Mode. Sets the Barcode Verifier mode of operation.
    • Disable. Disables the Barcode Verifier. Barcodes are printed and applied without readability verification.
    • Readable. Barcode Verifier checks for readability of barcodes.
    • Comparison. Checks if the scanned results of the printed barcodes match the barcode print data.
  • Set no. of barcodes. Defines how the maximum number of verified barcodes is set.
    • Command. The maximum number is defined using a direct command to the Barcode Verifier.
    • Setting. The maximum number is defined using printer driver interface.
  • Barcodes per label. Defines the maximum number of verified barcodes per single printed label. The number is limited to 10 – if you enter a higher number, it is automatically reduced.
  • Start position. Adjusts the position at which the Barcode Verifier starts to scan. It starts reading each media after the specified length passes from the printing start position. This setting can be used to exclude first barcode(s) from the check target when multiple barcodes are printed on each media.
  • VOID print. Enables printing of error marks on the media if a barcode reading error or barcode comparison error occurs.
    • VOID print enabled. If a reading or comparison error occurs, the printer prints error marks on the label without pausing. After VOID printing, the printer prints and checks the same label until it reaches the number of retries specified in Retry Count. If the error still occurs after the specified number of retries are done, the printer pauses after VOID printing, and shows an error message on the display.
    • VOID print disabled. If a reading or comparison error occurs, the printer pauses and shows an error message on the display.
  • Retry count. Sets how many times the printer will try to print and check the same barcode after VOID printing if a barcode reading error or barcode comparison error occurs.


Graphic Options

The properties in the Graphics panel allow you to define the processing of graphical objects in your documents.

NOTE: Graphics properties are available with selected printer models.

Closed Dithering

Dithering is a method for simulating colors in monochrome images that can be printed on thermal printers.

  • Photo Slider. Controls the intensity of the dithering effect. The available options vary from very fine to very coarse. Choose the value that provides the best results with your images. The preview will give a rough estimation how the image will be processed with the selected dithering algorithm.

NOTE: The recommended selection for colorful images is more towards the Photo part. If you print images with spot colors, move the slider more towards the Clipart part. If you experience dots printed outside of the image itself, move the slider from Photo more into Clipart part.

Closed What is dithering?

Usually, thermal printers can print in one color - black. There is no setting for the individual intensity of the printed dots.

Thermal printer have the possibility to define printing contrast, but is applied to the whole label. You cannot change the intensity for different parts of the label. The lack of intensity setting is not really noted, when you print bar codes, text objects and 1-bit images on your labels. But as soon as you want to use gray-scale or bitmap images, you may encounter challenges to print them legibly.

Dithering is the process that a driver will use to convert the color or gray-scale image into black & white image using different dot-patterns. The different shapes, sizes and mutual distances of tiny dots creates this effect. The result is a dithered image with better quality than pure black & white image.

Closed Printer graphic options

Graphic type. Specifies how the images are encoded in the print stream. The options available depend on your printer model.

  • Binary. Graphic objects will be embedded using the default binary encoding method.
  • PCX. Graphic objects will be embedded as PCX compressed images.
  • ASCII. Graphic objects will be embedded as 7-bit data, not as binary data.


Custom Commands

Custom Commands panel allows you to define and send custom printer commands to your printer. These commands allow you to introduce options that are included in the printer driver dialog.

  • Before print job. Inserts custom command(s) before starting a new print job. This setting applies to the entire print job. All labels in a single printer stream are affected by the command(s) listed here.
  • Before first page. Inserts command(s) that are sent to the printer before printing the first page (label).
  • Before each page. Inserts command(s) that are sent to the printer before each printed page.
  • Before elements on each page. Inserts command(s) that are sent to the printer before elements on each printed page.
  • After elements on each page. Inserts command(s) that are sent to the printer after sending all elements of the printed page.
  • After each page. Inserts command(s) that are sent to the printer after each printed page.
  • After last page. Inserts command(s) that are sent to the printer after printing the last page. This setting applies to the items that follow the last printed page of a document.
  • After print job. Inserts a custom command after all pages in the current print job.

Each command can be sent using different format types:

  • Empty. No custom command is going to be inserted.
  • File. Custom command is inserted by preparing and selecting a file. The file can be an ASCII formatted text or a file containing binary data – it depends on the type of your printer and the language used by the printer.
  • Text. Custom command is inserted by entering printer commands in the Contents edit box. Entering the data depends on the type of your printer, but all commands cannot be interactively entered using your keyboard. Click the right arrow button to enter special characters.
  • Parsed text. Custom command is inserted by entering parsed text in the Content edit box. Click the right arrow button to enter special characters. This option serves as a user-friendly way of showing which special character has been selected.

EXAMPLE

Special character <SOH> is displayed while the printer receives the 0x01 character. When selecting the same character using Text format in Contents edit box, you will notice garbage characters representing the unprintable SOH character.

  • Parsed file. Custom command is inserted by preparing and selecting a file which includes unprintable characters encoded in a user-friendly way (such as <SOH>).


Maintenance

The properties in the Maintenance panel allow you to revert all driver changes to default values.

Closed Reset to driver defaults
  • Reset. Reverts all driver settings to their default values.
Closed Legacy fonts

Enable additional fonts for compatibility with older driver versions. This option adds region specific font families that were in use with previous versions of SATO driver.

After installing the SATO printer driver and opening a new label or a label that has been designed using one of the V7 version of SATO drivers, this option is disabled by default.

NOTE: Enable this option to make sure labels that were designed using previous driver versions can still be used without adaptation.

This option is automatically enabled in two cases:

  • You have opened a label that was designed using a legacy SATO printer driver.
  • You have updated (not installed!) the SATO printer driver.


International

The properties in the International panel allow you to select the units that will be used throughout the driver.

  • Units. Used to select one of the available units of measure. You can hard-code the setting, or use the same setting as you have selected in regional options in Windows.
  • Open system regional settings opens the Windows regional settings dialog. The dialog determines how your date/time, numeric, and currency data types appear when you apply formatting options.


Contacting Technical Support

You are eligible to technical support when using SATO printer drivers.

  1. To download the latest copy of printer driver for Windows, visit our web site at http://www.satoworldwide.com/software/gallerydriver.aspx.
  2. For the support contact in your area, please visit our website at https://www.satoworldwide.com/contact-us.aspx.


Import Action Details

Import action imports the below listed settings.

  • Valid print settings. If you change any printing parameter using a valid quantity, it is imported to the printer driver.

Example: Label width is reduced from 48 mm to 40 mm. This parameter is imported and can be applied directly.

  • Invalid print settings. If you change a printing parameter using an invalid quantity, the printer driver imports it and changes it to a valid one.

Example: Label width is increased from 48 mm to 70 mm (non applicable on our printer). This parameter is imported and changed to an applicable quantity (58 mm on our printer).

  • Unused print settings. Parameters which cannot be used on this printer are imported and preserved.

Example: Our printer does not have a cutter. Cutting setting are imported, retained, but remain unused.

When exporting the settings, support metadata is added to the package. The purpose of export metadata is to help the SATO support team in case of user support requests. Metadata contains system info and similar helpful information.

NOTE: Export metadata can only be exported. SATO is obliged to use it for user support purposes only.